﻿@model IEnumerable<Schedule.Application.ViewModel.CustoMedioViewModel>
<div class="row">
    <div class="col-lg-12">
        <div class="card shadow mb-4" id="resultado">
            <div class="card-header py-3">
                <a asp-action="Novo" class="btn btn-success"> + Novo</a>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h4 class="m-0 font-weight-bold text-primary">
                    Lista de Custo Médio
                </h4>
            </div>
            <div class="card-body">
                <table id="tbListaEmpresas" class="table  table-bordered tabelaListaSchedule">
                    <thead>
                        <tr>
                            <th>
                                Especialidade
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.Valor)
                            </th>
                            <th>
                                @ScheduleResorce.RetornaValor("LabelUsuario")
                            </th>
                            <th>
                                @ScheduleResorce.RetornaValor("LabelDataModificacao")
                            </th>
                            <th>Ações</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var item in Model)
                        {
                            <tr>
                                <td>
                                    @Html.DisplayFor(modelItem => item.EspecialidadeNome)
                                </td>
                                <td data-order="@Formatacao.FormataMilhar(item.Valor).ToString()">
                                    <b>R$</b>  @Formatacao.FormataMilhar(item.Valor)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Usuario)
                                </td>
                                <td data-order="@item.OrdemData.ToString()">
                                    @Html.DisplayFor(modelItem => item.DataAlteracao)
                                </td>
                                <td class="tdAcao">
                                    <a asp-action="Editar" class="btn btn-success" asp-route-id="@item.id">Editar</a>
                                    <button data-id="@item.id" data-codigo="@item.EspecialidadeNome" class="delete btn btn-xs btn-danger">Excluir</button>
                                </td>
                            </tr>
                        }
                    </tbody>
                </table>
                <div class="modal" id="Modal" tabindex="-1" role="dialog">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title">Confirmação</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                Deseja Excluir o Registro : <span class="nome"></span>
                            </div>
                            <div class="modal-footer">
                                <a href="#" type="button" class="btn btn-danger delete-yes">Deletar</a>
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/CustoMedio.js")"></script>






